Subject: Re: Reducing time to publication: was Re: FW: Last Call: <draft-farrell-ft-03.txt> (A Fast-Track way toRFCwith Running Code) to Experimental RFC

From: t.p. <[email-masked]>
Date: Fri, 1 Feb 2013 09:24:01 +0000

----- Original Message -----
From: "SM" <[email-masked]>
To: "t.p." <[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, January 31, 2013 4:51 PM

> Hi Tom,
> At 04:04 31-01-2013, t.p. wrote:
> >Time to publication of an RFC can be reduced by cutting out the
pauses,
> >which could achieved by highlighting when they occur.
>
> [snip]
>
> >Such a list would shine a light on what is moving and what is not.
This
> >in turn would encourage, motivate, spur those on whom the draft is
> >waiting to progress it (and anyone else who could contribute).
>
> There was an interesting quote from #overlyhonestmethods.  I cannot
> locate it right now as the web site is whaling out.
>
> There is a Daily Dose web page (see http://tools.ietf.org/dailydose/
> ).  The web page provides a snapshot of what's being "published" in
> the IETF.  However, it does not provide a view of what is moving and
> what is not moving.  I don't have a view of what an area or what a
> working group is up to.
>
> Sometimes it come as a surprise when working group participants hear
> that their working group is being shut down.  It is possible to tell
> whether a working group might be shut down.  It is possible to
> identify some of the issues which can delay publication.  The data
> for what you suggested is available from the datatracker.  The data
> to identify WG activity is also available.  I don't know how to
> assess progress though.

Yes, this is all available on the datatracker (which is the home page on
my web browser) but it takes me several minutes to go there and absorb
the content, repeated for every Working Group in which I am involved.
The datatracker has too much information, I have to scroll up and down,
since each entry takes 5 or 10 lines.  My idea is a one line summary for
each I-D, in a defined sort order (I-D name).  And I know how much more
productive I am when I get gentle prompts about what is going on, be
they via SMS, e-mail or whatever.  Sensible organisations, from
libraries to garages, are making the most of this technology - we should
do the same.

Tom Petch

> Regards,
> -sm

---

From: t.p. <[email-masked]>
Date: Fri, 1 Feb 2013 09:17:07 +0000

----- Original Message -----
From: "John C Klensin" <[email-masked]>
To: "t.p." <[email-masked]>
Cc: "ietf" <[email-masked]>
Sent: Thursday, January 31, 2013 2:44 PM
>
> --On Thursday, January 31, 2013 12:04 +0000 "t.p."
> <[email-masked]> wrote:
>
> > Time to publication of an RFC can be reduced by cutting out
> > the pauses, which could achieved by highlighting when they
> > occur.
> >
> > This can be done by a tool which, for every active Working
> > Group, runs monthly and, for every draft adopted by the
> > Working Group, records whether or not there has been a change
> > and posts this list as an e-mail to the list of the Working
> > Group.  Where a new version has been submitted to Tools, then
> > this new version is listed with the date of submission.  Where
> > the status has changed, as recorded in the tracker (AD Review,
> > IETF LC, Publication Approved etc), then the new status is
> > listed with the date of change.  Where nothing has changed,
> > then this is listed with the date of the last change.
> >...
>
> Tom,
>
> This is interesting but could also introduce a pathology in
> which drafts are generated too frequently to encourage (or even
> permit) healthy discussion.  If one were going to do this, also
> collecting some statistics on how much (or whether) a given
> draft was being discussed on a WG mailing list might be very
> important.  New drafts and indications of motion like status
> changes may be good clues but what really counts for measures of
> progress and consensus is whether real discussion is going on.

Yes, drafts might be produced more often just to 'game' the system but
we have something like that anyway.  I often see drafts produced with no
changes simply because the previous version has expired.  Usually the WG
Chair or editor posts a note to that effect; if not, someone on the list
may ask and so the reason emerges.

Yes, a measure of discussion would be better, that might be the gold
standard, whereas my idea is only silver or bronze.  But I don't know
how to measure discussion in an automated way, one that places no
additional burden on such as WG Chairs or ADs.  So I see this as a step
in the right direction upon which others might build.

Tom Petch

>   john

---

From: SM <[email-masked]>
Date: Fri, 01 Feb 2013 08:49:47 -0800

Hi Tom,
>libraries to garages, are making the most of this technology - we should

I was not suggesting that you should go to the datatracker web page. :-)

The data for what you suggested is already available.  It should be 
possible to write a script which picks up the relevant information 
and send emails that to the relevant working groups automatically 
(the tool you suggested).

Regards,
-sm